PACKAGE = ifsgr
VERSION = 1.0

# w/o explicite gcc either old or new libtools break...
CC = gcc
LIBTOOL = libtool

ARCH = $(shell echo -march=`uname -m`)
CPU = $(shell cpu=`uname -p`; test "$$cpu" != "unknown" && echo -mcpu=$$cpu)
# Try to use C99 mode
STDC99 = $(if $(shell $(CC) --version | grep '\(^\| \)[12]\.'),,-std=c99)
WARNINGS = -Wall -W -pedantic -Wshadow -Werror-implicit-function-declaration -Wwrite-strings
OPTIMIZATION = -O3 -ffast-math $(ARCH) $(CPU)
DEFINES =  -DPACKAGE=\"$(PACKAGE)\" -DVERSION=\"$(VERSION)\"
PKG_CFLAGS = $(STDC99) $(OPTIMIZATION) $(WARNINGS) $(DEFINES)
PKG_LDFLAGS = -lm

COMPILE = $(LIBTOOL) --mode=compile $(CC) -c
LINK = $(LIBTOOL) --mode=link $(CC)
INSTALL = $(LIBTOOL) --mode=install install -c
UNINSTALL = $(LIBTOOL) --mode=uninstall rm

DNAME = $(PACKAGE)-$(VERSION)
DISTCP = ln --target-directory=$(TOPSRC)/$(DNAME)

prefix ?= /usr/local
bindir ?= $(prefix)/bin
libdir ?= $(prefix)/lib
includedir ?= $(prefix)/include
datadir ?= $(prefix)/share
man1dir ?= $(datadir)/man/man1
man5dir ?= $(datadir)/man/man5
htmldir ?= $(datadir)/gtk-doc/html
pkgconfigdir ?= $(libdir)/pkgconfig

